# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82.0"
name = "dioxus-cli"
version = "0.7.8"
authors = ["Jonathan Kelley"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI for building fullstack web, desktop, and mobile apps with a single codebase."
readme = "README.md"
keywords = [
    "mobile",
    "gui",
    "cli",
    "dioxus",
    "wasm",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/DioxusLabs/dioxus/"

[package.metadata.binstall]
pkg-url = "{ repo }/releases/download/v{ version }/dx-{ target }{ archive-suffix }"
pkg-fmt = "zip"

[package.metadata.docs.rs]
all-features = false

[features]
default = []
disable-telemetry = []
no-downloads = []
tokio-console = [
    "dep:console-subscriber",
    "tokio/tracing",
]

[[bin]]
name = "dx"
path = "src/main.rs"

[dependencies.ansi-to-html]
version = "0.2.2"

[dependencies.ansi-to-tui]
version = "7.0"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.ar]
version = "0.9.0"

[dependencies.axum]
version = "0.8.4"
features = ["ws"]
default-features = true

[dependencies.axum-extra]
version = "0.10.1"
features = ["typed-header"]

[dependencies.axum-server]
version = "0.7.3"
features = ["tls-rustls-no-provider"]
default-features = false

[dependencies.backtrace]
version = "0.3.74"

[dependencies.brotli]
version = "8.0.1"

[dependencies.bytes]
version = "1.10.1"

[dependencies.cargo-config2]
version = "0.1.34"

[dependencies.cargo-generate]
version = "=0.23.3"

[dependencies.cargo_metadata]
version = "0.19.2"

[dependencies.cargo_toml]
version = "0.22.3"
features = ["features"]

[dependencies.chrono]
version = "0.4.39"

[dependencies.clap]
version = "4.5.40"
features = [
    "derive",
    "cargo",
]

[dependencies.clap_complete]
version = "4.5.65"
features = ["unstable-dynamic"]

[dependencies.codemap]
version = "0.1.3"

[dependencies.console]
version = "0.16.0"

[dependencies.console-subscriber]
version = "0.4.1"
optional = true

[dependencies.const-serialize]
version = "0.8.0-alpha.0"
features = ["serde"]

[dependencies.const-serialize-07]
version = "=0.7.2"
features = ["serde"]
package = "const-serialize"

[dependencies.convert_case]
version = "0.8.0"

[dependencies.crossterm]
version = "0.28.1"
features = ["event-stream"]

[dependencies.ctrlc]
version = "3.4.7"

[dependencies.depinfo]
version = "0.7.8"

[dependencies.dioxus-autofmt]
version = "0.7.8"

[dependencies.dioxus-cli-config]
version = "0.7.8"

[dependencies.dioxus-cli-telemetry]
version = "0.7.8"

[dependencies.dioxus-component-manifest]
version = "0.7.8"

[dependencies.dioxus-core]
version = "0.7.8"
features = ["serialize"]

[dependencies.dioxus-core-types]
version = "0.7.8"

[dependencies.dioxus-devtools-types]
version = "0.7.8"

[dependencies.dioxus-dx-wire-format]
version = "0.7.8"

[dependencies.dioxus-html]
version = "0.7.8"
features = ["hot-reload-context"]
default-features = false

[dependencies.dioxus-rsx]
version = "0.7.8"

[dependencies.dioxus-rsx-hotreload]
version = "0.7.8"

[dependencies.dioxus-rsx-rosetta]
version = "0.7.8"

[dependencies.dircpy]
version = "0.3.19"

[dependencies.dirs]
version = "6.0.0"

[dependencies.dunce]
version = "1.0.5"

[dependencies.flate2]
version = "1.1.2"

[dependencies.fs2]
version = "0.4.3"

[dependencies.futures-channel]
version = "0.3.32"

[dependencies.futures-util]
version = "0.3.32"
features = ["async-await-macro"]
default-features = false

[dependencies.git2]
version = "0.20.2"

[dependencies.grass]
version = "0.13.4"

[dependencies.handlebars]
version = "6.3.2"

[dependencies.home]
version = "=0.5.11"

[dependencies.html_parser]
version = "0.7.0"

[dependencies.hyper]
version = "1.6.0"

[dependencies.hyper-rustls]
version = "0.27.7"
features = [
    "native-tokio",
    "http1",
    "http2",
    "tls12",
    "logging",
    "ring",
]
default-features = false

[dependencies.hyper-util]
version = "0.1.12"

[dependencies.icns]
version = "0.4.0"

[dependencies.ignore]
version = "0.4.23"

[dependencies.image]
version = "0.25.6"

[dependencies.imagequant]
version = "4.4.0"

[dependencies.include_dir]
version = "0.7.4"

[dependencies.itertools]
version = "0.14.0"

[dependencies.krates]
version = "0.17.5"

[dependencies.lightningcss]
version = "1.0.0-alpha.67"
features = [
    "browserslist",
    "into_owned",
]

[dependencies.log]
version = "0.4.27"
features = [
    "max_level_off",
    "release_max_level_off",
]

[dependencies.manganis]
version = "0.7.8"

[dependencies.manganis-core]
version = "0.7.8"

[dependencies.manganis-core-07]
version = "0.7.2"

[dependencies.md5]
version = "0.8.0"

[dependencies.mozjpeg]
version = "0.10.13"
features = ["parallel"]
default-features = false

[dependencies.notify]
version = "8.1.0"
features = ["serde"]

[dependencies.nucleo]
version = "0.5.0"

[dependencies.object]
version = "0.37.1"
features = ["all"]

[dependencies.open]
version = "5.3.2"

[dependencies.owo-colors]
version = "4.2.2"
features = ["supports-colors"]

[dependencies.path-absolutize]
version = "3.1"

[dependencies.pdb]
version = "0.8.0"

[dependencies.plist]
version = "1.7.4"

[dependencies.png]
version = "0.17.16"

[dependencies.prettyplease]
version = "0.2.35"
features = ["verbatim"]

[dependencies.proc-macro2]
version = "1.0.101"
features = ["span-locations"]

[dependencies.ratatui]
version = "0.29.0"
features = [
    "crossterm",
    "unstable",
]

[dependencies.rayon]
version = "1.10.0"

[dependencies.regex]
version = "1.11.1"

[dependencies.reqwest]
version = "0.12.28"
features = [
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.rpm]
version = "0.20.0"
features = ["gzip-compression"]
default-features = false

[dependencies.rustls]
version = "0.23.28"
features = [
    "logging",
    "std",
    "tls12",
    "ring",
]
default-features = false

[dependencies.schemars]
version = "0.8"

[dependencies.self-replace]
version = "1.5.0"

[dependencies.self_update]
version = "0.42.0"
features = [
    "archive-tar",
    "archive-zip",
    "compression-flate2",
    "compression-zip-deflate",
]
default-features = false

[dependencies.sentry-backtrace]
version = "0.42.0"

[dependencies.serde]
version = "1.0.225"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.140"

[dependencies.serde_json5]
version = "0.2.1"

[dependencies.sha1]
version = "0.10.6"

[dependencies.sha2]
version = "0.10.9"

[dependencies.shell-words]
version = "1.1.0"

[dependencies.subsecond-types]
version = "0.7.8"

[dependencies.syn]
version = "2.0.104"
features = [
    "full",
    "extra-traits",
    "visit",
    "visit-mut",
]

[dependencies.tar]
version = "0.4.44"

[dependencies.target-lexicon]
version = "0.13.2"
features = [
    "serde",
    "serde_support",
]

[dependencies.tempfile]
version = "3.19.1"

[dependencies.thiserror]
version = "2.0.12"

[dependencies.throbber-widgets-tui]
version = "0.8.0"

[dependencies.tokio]
version = "1.48"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1.17"

[dependencies.tokio-tungstenite]
version = "0.28.0"

[dependencies.tokio-util]
version = "0.7.15"
features = ["full"]

[dependencies.toml]
version = "0.8.23"

[dependencies.toml_edit]
version = "0.22.27"

[dependencies.tower]
version = "0.5.2"

[dependencies.tower-http]
version = "0.6.8"
features = ["full"]

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-subscriber]
version = "0.3.20"
features = [
    "std",
    "env-filter",
    "json",
    "registry",
    "fmt",
]
default-features = false

[dependencies.unicode-segmentation]
version = "1.12.0"

[dependencies.uuid]
version = "1.17.0"
features = [
    "v4",
    "v5",
    "v7",
]

[dependencies.walkdir]
version = "2.5.0"

[dependencies.walrus]
version = "0.23.3"
features = [
    "parallel",
    "parallel",
]

[dependencies.wasm-split-cli]
version = "0.7.8"

[dependencies.wasmparser]
version = "0.235.0"

[dependencies.which]
version = "8.0.0"

[dependencies.zip]
version = "4"
features = ["deflate"]
default-features = false

[dev-dependencies.escargot]
version = "0.5"

[dev-dependencies.indoc]
version = "2.0.6"

[dev-dependencies.pretty_assertions]
version = "1"

[target.'cfg(target_env = "musl")'.dependencies.git2]
version = "0.20.2"
features = ["vendored-libgit2"]
